Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 891338 - upgrade from 3.0 should be supported in 3.1.1
Summary: upgrade from 3.0 should be supported in 3.1.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup
Version: 3.1.1
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.1.1
Assignee: Moran Goldboim
QA Contact: Pavel Stehlik
URL:
Whiteboard: integration
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-02 16:15 UTC by Moran Goldboim
Modified: 2014-01-01 08:44 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously upgrading from Red Hat Enterprise Virtualization Manager 3.0 to 3.1 was not formally supported. This update fixes a number of known issues with the upgrade process. As a result upgrading from Red Hat Enterprise Virtualization Manager 3.0 to 3.1 is now supported for the majority of installations. Known Issues: * Upgrades of Red Hat Enterprise Virtualization 3.0 environments that contain V1 format block (iSCSI or FCP) storage domains that (1) are larger than 250 GB in size and (2) were created in Red Hat Enterprise Virtualization 2.2, are not supported. Changing the compatibility mode of a data center that contains such storage domains to 3.1 will result in a failure. A future update will correct this issue. Please note that V1 block storage domains created using the REST API in Red Hat Enterprise Virtualization 3.0 are unaffected. (BZ#893184) For more information on upgrading to Red Hat Enterprise Virtualization Manager 3.1 consult the Installation Guide: http://access.redhat.com/knowledge/docs/en-US/Red_Hat_Enterprise_Virtualization/3.1/html/Installation_Guide/chap-Upgrading_to_Red_Hat_Enterprise_Virtualization_3.1.html Additional tips and considerations to take into account are also available in the Red Hat Knowledge Base: https://access.redhat.com/knowledge/articles/269333
Clone Of:
Environment:
Last Closed: 2013-01-15 15:15:53 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0003 0 normal SHIPPED_LIVE rhevm bug fix update 2013-01-15 20:11:48 UTC

Description Moran Goldboim 2013-01-02 16:15:07 UTC
Description of problem:
bz880637 should be reverted (upgrade from 3.0 should be supported now)

Comment 6 Stephen Gordon 2013-01-09 14:56:50 UTC
Ayal as discussed in the 3.2 planning phase exit review (I jest ;)) please provide the additional information in a comment here describing "upgrade is supported except when...".

Thanks,

Steve

Comment 7 Haim 2013-01-10 15:24:49 UTC
Note that upgrade is supported except when customer has a block data center (iSCSI/FCP) with V1 storage domains (created in 2.2 or through rest API in 3.0) which are larger than 250GB.

Comment 8 Haim 2013-01-10 15:26:11 UTC
Note that upgrade is supported except when customer has a block data center (iSCSI/FCP) with V1 storage domains (created in 2.2 or through rest API in 3.0) which are larger than 250GB.

Comment 9 Ayal Baron 2013-01-10 15:29:00 UTC
(In reply to comment #7)
> Note that upgrade is supported except when customer has a block data center
> (iSCSI/FCP) with V1 storage domains (created in 2.2 or through rest API in
> 3.0) which are larger than 250GB.

Ack

Comment 10 Marina Kalinin 2013-01-10 20:08:30 UTC
(In reply to comment #8)
> Note that upgrade is supported except when customer has a block data center
> (iSCSI/FCP) with V1 storage domains (created in 2.2 or through rest API in
> 3.0) which are larger than 250GB.

Haim,

Do we need a kcs article for this?
Is there a separate bug for this?

Comment 12 errata-xmlrpc 2013-01-15 15:15:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0003.html


Note You need to log in before you can comment on or make changes to this bug.